#include <iostream>
#include <iomanip>
#include <cmath>
#include <algorithm>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n;
    cin >> n;

    int l;
    double p;
    pair<double, int> A[n];
    long long sumCurrent = 0;
    for (int i = 0; i < n; ++i){
        cin >> l >> p;
        sumCurrent += l;
        A[i] = {p, l};
    }
    sort(A, A+n);
    double bestCurrent = A[0].first * sumCurrent / 100;
    for (int i = 1; i < n; ++i){
        sumCurrent -= A[i-1].second;
        bestCurrent = max(bestCurrent, (double) A[i].first * sumCurrent / 100);
    }
    cout << fixed << showpoint;
    cout << setprecision(4);
    cout << bestCurrent << endl;
    return 0;
}